<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:paddingLeft="12dp"
    android:paddingRight="12dp"
    android:background="@color/ezm_transparent">
    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:textSize="@dimen/ezm_f32"
                android:textColor="@color/ezm_white"
                android:text="@string/ys_mt_room_dialog_monitor_title"/>
            <LinearLayout
                android:id="@+id/llMonitorShare"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:visibility="gone"
                android:orientation="vertical">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:textSize="@dimen/ezm_f32"
                    android:textColor="@color/ezm_white"
                    android:text="@string/ys_mt_room_dialog_monitor_share"/>
                <TableLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp">
                    <TableRow
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">
                        <TextView
                            style="@style/dialogMonitorText"
                            android:text="@string/ertc_room_dialog_monitor_remotevideo_username"/>
                        <TextView
                            style="@style/dialogMonitorText"
                            android:text="@string/ertc_room_dialog_monitor_remotevideo_receivedBitrate"/>
                        <TextView
                            style="@style/dialogMonitorText"
                            android:text="@string/ertc_room_dialog_monitor_remotevideo_packetLossRate"/>
                        <TextView
                            style="@style/dialogMonitorText"
                            android:text="@string/ertc_room_dialog_monitor_remotevideo_totalFrozenTime"/>
                        <TextView
                            style="@style/dialogMonitorText"
                            android:text="@string/ertc_room_dialog_monitor_remotevideo_frozenRate"/>
                        <TextView
                            style="@style/dialogMonitorText"
                            android:text="@string/ertc_room_dialog_monitor_remotevideo_packetCount"/>
                        <TextView
                            style="@style/dialogMonitorText"
                            android:text="@string/ertc_room_dialog_monitor_remotevideo_uncompensateLoss"/>
                        <TextView
                            style="@style/dialogMonitorText"
                            android:text="@string/ertc_room_dialog_monitor_remotevideo_receivedFrameRate"/>
                        <TextView
                            style="@style/dialogMonitorText"
                            android:text="@string/ertc_room_dialog_monitor_remotevideo_streamType"/>
                        <TextView
                            style="@style/dialogMonitorText"
                            android:text="@string/ertc_room_dialog_monitor_remotevideo_wh"/>
                    </TableRow>
                    <TableRow xmlns:android="http://schemas.android.com/apk/res/android"
                        xmlns:tools="http://schemas.android.com/tools"
                        android:id="@+id/tableRowVideoStats"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">
                        <TextView
                            android:id="@+id/tvRemotevideoUsername"
                            style="@style/dialogMonitorText"
                            tools:text="123"/>
                        <TextView
                            android:id="@+id/tvRemotevideoReceivedBitrate"
                            style="@style/dialogMonitorText"
                            tools:text="123"/>
                        <TextView
                            android:id="@+id/tvRemotevideoPacketLossRate"
                            style="@style/dialogMonitorText"
                            tools:text="123"/>
                        <TextView
                            android:id="@+id/tvRemotevideoTotalFrozenTime"
                            style="@style/dialogMonitorText"
                            tools:text="123"/>
                        <TextView
                            android:id="@+id/tvRemotevideoFrozenRate"
                            style="@style/dialogMonitorText"
                            android:text="0"/>

                        <TextView
                            android:id="@+id/tvRemotevideoPacketCount"
                            style="@style/dialogMonitorText"
                            android:text="0"/>
                        <TextView
                            android:id="@+id/tvRemotevideoUncompensateLoss"
                            style="@style/dialogMonitorText"
                            tools:text="123"/>
                        <TextView
                            android:id="@+id/tvRemotevideoReceivedFrameRate"
                            style="@style/dialogMonitorText"
                            tools:text="123"/>
                        <TextView
                            android:id="@+id/tvRemotevideoStreamType"
                            style="@style/dialogMonitorText"
                            android:text="0"/>
                        <TextView
                            android:id="@+id/tvRemotevideoWH"
                            style="@style/dialogMonitorText"
                            android:text="1920\n1080"/>
                    </TableRow>
                </TableLayout>
            </LinearLayout>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:textSize="@dimen/ezm_f32"
                android:textColor="@color/ezm_white"
                android:text="@string/ertc_room_dialog_monitor_send_audio"/>
            <TableLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">
                <TableRow
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_localaudio_sentBitrate"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_localaudio_packetCount"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_localaudio_packetLossRate"/>
                </TableRow>
                <TableRow
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        android:id="@+id/tvSentBitrate"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="123"/>
                    <TextView
                        android:id="@+id/tvAudioPacketCount"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="123"/>
                    <TextView
                        android:id="@+id/tvAudioPacketLossRate"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="123"/>

                </TableRow>
            </TableLayout>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:textSize="@dimen/ezm_f32"
                android:textColor="@color/ezm_white"
                android:text="@string/ertc_room_dialog_monitor_send_video"/>
            <TableLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">
                <TableRow
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_localvideo_streamType"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_localvideo_sentBitrate"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_localvideo_packetLossRate"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_localvideo_packetCount"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_localvideo_compensateLossRate"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_localvideo_sentFrameRate"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_localvideo_wh"/>
                </TableRow>
                <TableRow
                    android:id="@+id/tbVideoBig"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        android:id="@+id/tvVideoStreamTypeBig"
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_localvideo_streamType_big"/>
                    <TextView
                        android:id="@+id/tvVideoSentBitrateBig"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="123"/>
                    <TextView
                        android:id="@+id/tvVideoPacketLossRateBig"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="0"/>

                    <TextView
                        android:id="@+id/tvVideoPacketCountBig"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="0"/>
                    <TextView
                        android:id="@+id/tvAudioCompensateLossRateBig"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="123"/>
                    <TextView
                        android:id="@+id/tvVideoSentFrameRateBig"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="123"/>
                    <TextView
                        android:id="@+id/tvVideoWHBig"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="1920\n1080"/>
                </TableRow>
                <TableRow
                    android:id="@+id/tbVideoSmall"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        android:id="@+id/tvVideoStreamTypeSmall"
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_localvideo_streamType_small"/>
                    <TextView
                        android:id="@+id/tvVideoSentBitrateSmall"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="123"/>
                    <TextView
                        android:id="@+id/tvVideoPacketLossRateSmall"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="0"/>

                    <TextView
                        android:id="@+id/tvVideoPacketCountSmall"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="0"/>
                    <TextView
                        android:id="@+id/tvAudioCompensateLossRateSmall"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="123"/>
                    <TextView
                        android:id="@+id/tvVideoSentFrameRateSmall"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="123"/>
                    <TextView
                        android:id="@+id/tvVideoWHSmall"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="1920\n1080"/>
                </TableRow>
                <TableRow
                    android:id="@+id/tbVideoShare"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:visibility="gone">
                    <TextView
                        android:id="@+id/tvVideoStreamTypeShare"
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_localvideo_streamType_share"/>
                    <TextView
                        android:id="@+id/tvVideoSentBitrateShare"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="123"/>
                    <TextView
                        android:id="@+id/tvVideoPacketLossRateShare"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="0"/>

                    <TextView
                        android:id="@+id/tvVideoPacketCountShare"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="0"/>
                    <TextView
                        android:id="@+id/tvAudioCompensateLossRateShare"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="123"/>
                    <TextView
                        android:id="@+id/tvVideoSentFrameRateShare"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="123"/>
                    <TextView
                        android:id="@+id/tvVideoWHShare"
                        style="@style/dialogMonitorText"
                        android:text="-"
                        tools:text="1920\n1080"/>
                </TableRow>
            </TableLayout>



            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:textSize="@dimen/ezm_f32"
                android:textColor="@color/ezm_white"
                android:text="@string/ertc_room_dialog_monitor_receive_audio"/>

            <TableLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">
                <TableRow
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remoteaudio_username"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remoteaudio_receivedBitrate"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remoteaudio_packetLossRate"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remoteaudio_totalFrozenTime"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remoteaudio_frozenRate"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remoteaudio_packetCount"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remoteaudio_plcPacketCount"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remoteaudio_uncompensateLoss"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remoteaudio_totalTime"/>
                </TableRow>
            </TableLayout>
            <TableLayout
                android:id="@+id/tlReceiveAudio"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
            </TableLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:textSize="@dimen/ezm_f32"
                android:textColor="@color/ezm_white"
                android:text="@string/ertc_room_dialog_monitor_receive_video"/>

            <TableLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">
                <TableRow
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remotevideo_username"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remotevideo_receivedBitrate"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remotevideo_packetLossRate"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remotevideo_totalFrozenTime"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remotevideo_frozenRate"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remotevideo_packetCount"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remotevideo_uncompensateLoss"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remotevideo_receivedFrameRate"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remotevideo_streamType"/>
                    <TextView
                        style="@style/dialogMonitorText"
                        android:text="@string/ertc_room_dialog_monitor_remotevideo_wh"/>
                </TableRow>
            </TableLayout>
            <TableLayout
                android:id="@+id/tlReceiveVideo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
            </TableLayout>

        </LinearLayout>
    </ScrollView>
    <com.ez.ertc.meeting.widget.MtTextView
        android:id="@+id/tvClose"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="right"
        android:layout_marginTop="20dp"
        android:layout_marginRight="12dp"
        android:textSize="24sp"
        android:textColor="@color/ezm_white"
        android:text="@string/ezm_icon_clear"/>

</FrameLayout>